﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TechnicalIndicatorValues
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<DateTime> XValues;
        List<double> YValues;
        public MainWindow()
        {
            InitializeComponent();

        }

        private void chart_Loaded(object sender, RoutedEventArgs e)
        {
            var points = indicator.Points;
            XValues = new List<DateTime>();
            YValues = new List<double>();

            for (int i = 0; i < points.Count; i++)
            {
                XValues.Add((this.chart.PointToValue(chart.PrimaryAxis as DateTimeAxis, points[i]).FromOADate()));
                YValues.Add(this.chart.PointToValue(indicatorYAxis as NumericalAxis, points[i]));
            }
        }
    }

    public class CustomAccumulationDistributionIndicator : AccumulationDistributionIndicator
    {
        public PointCollection Points
        {
            get
            {
                if (this.Segments != null && this.Segments.Count > 0)
                    return (this.Segments[0].GetRenderedVisual() as Polyline).Points;
                return null;
            }
        }
    }
}
